      subroutine hec_online_evt1
c
c pass 1 online histograms filling event routine
c
      implicit none
c
      include 'hec_par.inc'    ! shared parameters
      include 'hec_geo.inc'    ! geometry correspondence tables
      include 'hec_his_sys.inc'! system histogram common
      include 'hec_online.inc' ! online common
      include 'hec_trig.inc'   ! trigger values
c
c local variables
c
      integer ic,i_z
      real epi_cut_ratio
c
c zero arrays each event
c
      call vzero(sig_sum, i_z_max)
      call vzero(sum_sigma, 3)
      call vzero(sum_sigma_hv, 3)
c
c apply calibration
c
      call hec_cal_evt
c
c fill online histograms
c
      do ic = 1, i_adc_used
        call hec_his_evt_hfill_ch(ic)
      enddo      
c
c collect statistics about sum of each depth
c
      if (trig_physics) then
         do i_z = 1, i_z_used
            depth_mom0(i_z) = depth_mom0(i_z) + 1
            depth_mom1(i_z) = depth_mom1(i_z) + sig_sum(i_z)
         enddo
         epi_cut_ratio = sig_sum(1)/(sig_sum(2)+sig_sum(3))
         if (epi_cut_ratio .lt. 2.) then
            pion_count = pion_count + 1
         else
            elec_count = elec_count + 1
         endif
      endif
c
c fill event by event histos
c
      call hec_his_evt_hfill
c
      end







