      subroutine hec_online_ini
c
c initialize for online running
c
      implicit none
c
      include'hec_par.inc'          ! shared parameters
      include'hec_cal_coef.inc'     ! calibration coefficients
      include'hec_datacard.inc'     ! datacard values
      include'hec_his_sys.inc'      ! histogram package
      include'hec_tdc.inc'      ! tdc value
c
c control we are in the correct directory. If so, the 
c subdirectory pawdir must be there with all its files...
c If not, stop program
c
CCCC      open(1099,file='pawdir/alias_defs.kumac',status='old',err=1024)
CCCC      close(1099)
c
c set the tdc wrap around constants
c
      tdc_raw_to_ns = 0.01816
c
c inform the user about the current tdc correction
c
      tdc_wac_c   = cr_tdc_wac_c
      tdc_wac_epi = cr_tdc_wac_epi
      tdc_wac_mu  = cr_tdc_wac_mu
c
c initialize parameters for fadcs 
c
      call hec_fadc_ini
c
c read in digital filtering weights (if requested)
c
      if (m_pref .ge. 2) call hec_dig
c
c reset calibration coefficients array and read coefficients
c for each channel
c
      call vzero(hec_cal_coef, 5*i_adc_dim)
      call hec_cal_read
c
      goto 1025
 1024 continue
      print*,' '
      print*,' *** You are not allowed to run in online mode '
      print*,' *** if you are not in the onlinescr directory.'
      print*,' *** Exiting...'
      stop
c
 1025 continue
c
      end





